be.cin.nip.async.generic

## Class PostResponseReturn

- java.lang.Object
- - be.cin.nip.async.generic.PostResponseReturn

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:56:23+01:00",
                 comments="JAXB RI v2.3.7")
      public class PostResponseReturn
      extends Object
      implements Serializable

  Java class for postResponseReturn complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="postResponseReturn">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="TAck" type="{urn:be:cin:nip:async:generic}TAck"/>
               <element name="Xades-t" type="{http://www.w3.org/2005/05/xmlmime}base64Binary" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PostResponseReturn()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TAck` | `getTAck()` Gets the value of the tAck property.
    `Base64Binary` | `getXadesT()` Gets the value of the xadesT property.
    `void` | `setTAck(TAck value)` Sets the value of the tAck property.
    `void` | `setXadesT(Base64Binary value)` Sets the value of the xadesT property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PostResponseReturn

          public PostResponseReturn()

  - ### Method Detail

    - #### getTAck

          public TAck getTAck()

      Gets the value of the tAck property.
      Returns:
        possible object is `TAck`

    - #### setTAck

          public void setTAck(TAck value)

      Sets the value of the tAck property.
      Parameters:
        `value` - allowed object is `TAck`

    - #### getXadesT

          public Base64Binary getXadesT()

      Gets the value of the xadesT property.
      Returns:
        possible object is `Base64Binary`

    - #### setXadesT

          public void setXadesT(Base64Binary value)

      Sets the value of the xadesT property.
      Parameters:
        `value` - allowed object is `Base64Binary`

Connector Packaging PERSDIETICIAN 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.